import VectorType from '../enum/VectorType.js'
import SelectState from '../enum/SelectState.js'
import Geometry from './Geometry'
import { mathUtil } from '../MathUtil.js'
import Constant from '../Constant.js'

//不靠墙
export default class Line extends Geometry {
    constructor(start, end, vectorId) {
        super()
        this.start = start
        this.end = end

        this.name = null
        this.display = false
        this.geoType = VectorType.Line
        this.setId(vectorId)
    }

    setPositions(point1, point2) {
        this.start.x = point1.x
        this.start.y = point1.y

        this.end.x = point2.x
        this.end.y = point2.y
    }
}
